Name:           moblin-white-icon-theme
Version:        0.1
Release:        1.1.moblin2
Summary:        Base moblin icons (white)

Group:          User Interface/Desktops
License:        Intel-Confidential
BuildArch:      noarch
URL:            http://www.moblin.org
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  hicolor-icon-theme
BuildRequires:  icon-naming-utils
Requires:       pkgconfig
Requires:       librsvg2
Requires(post): gtk2

%description
Contains the base icon theme for the Moblin UX

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/usr/share/icons
mv %{name}-%{version} %{buildroot}/usr/share/icons/moblin-white

%clean
rm -rf $RPM_BUILD_ROOT

%post
for dir in /usr/share/icons/*; do   
  if test -d "$dir"; then  
    if test -f "$dir/index.theme"; then  
      /usr/bin/gtk-update-icon-cache --quiet "$dir"   
    fi  
  fi  
done  

%files
%defattr(-,root,root,-)
%{_datadir}/icons/moblin-white
%changelog
* Fri Mar 27 2009 Damien Lespiau <damien.lespiau@intel.com> 0.1
- Fist release of the white moblin icon theme
